<script setup lang="ts">
const album = {
  name: 'Relatively Long Album Name',
  artist: {
    name: 'Artist Name'
  },
  tracks: [{}, {}, {}, {}],
  cover: {
    urls: {
      original: 'https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb'
    }
  }
}
</script>

# Album card

Album cards are specialized cards that represent an album in Funkwhale's interface. Pass an album object to the `album` prop to generate a card with the following:

- The album's cover image
- The album's title
- The artist's name
- The number of tracks in the album

| Prop | Data type | Required? | Description |
| ---- | ---------- | ---------- | ------------ |
| `album` | Album object | Yes | The album represented by the card. |

The card includes a [play button](../button/play.md) that plays the whole album and a [popover](../popover/index.md) containing other actions the user can perform.

```vue-html
<fw-album-card :album="album" />
```

<fw-album-card :album="album" />
